curl --request GET \
--url https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pull_through_cache_rules": [
{
"crn": "crn:registry:sa-saopaulo-1:my-account:pull-through-cache-rule/hub",
"prefix": "hub",
"uri_prefix": "cr.sa-saopaulo-1.basaltic.cloud/my-account/hub",
"upstream_registry": "registry-1.docker.io",
"has_credential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_prefix": "library",
"upstream_username": "robot"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Listar reglas de caché de imágenes
Requiere registry:DescribePullThroughCacheRules. La credencial del origen nunca se devuelve; solo has_credential. Para rotar, escriba un nuevo valor.
curl --request GET \
--url https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://registry.{region}.basaltic.sh/v1/pull-through-cache-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pull_through_cache_rules": [
{
"crn": "crn:registry:sa-saopaulo-1:my-account:pull-through-cache-rule/hub",
"prefix": "hub",
"uri_prefix": "cr.sa-saopaulo-1.basaltic.cloud/my-account/hub",
"upstream_registry": "registry-1.docker.io",
"has_credential": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_prefix": "library",
"upstream_username": "robot"
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}registry:DescribePullThroughCacheRules. Consulte REGISTRY permisos para la lista completa, el alcance de cada acción y un ejemplo de política.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de consulta
Nombre inmutable exacto del repositorio o prefijo de la regla en la cuenta. Acepta barras. Se combina con crn antes de paginar.
"team/app"
CRN exacto de la regla de caché, combinado con name. La sintaxis inválida devuelve 400 INVALID_INPUT. Otro servicio, tipo, región o cuenta devuelve una lista vacía. Las barras siguen formando parte del nombre de la regla.
"crn:registry:sa-saopaulo-1:my-account:pull-through-cache-rule/hub/library"
Respuesta
Todas las reglas coincidentes de la cuenta. Sin paginación; la cantidad está limitada por una cuota de pocas decenas.
Show child attributes
Show child attributes

